package admin_product

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"znc-server/app/main/api/internal/logic/admin_product"
	"znc-server/app/main/api/internal/svc"
	"znc-server/app/main/api/internal/types"
	"znc-server/common/result"
	"znc-server/pkg/lzkit/validator"
)

func AdminDeleteProductHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.AdminDeleteProductReq
		if err := httpx.Parse(r, &req); err != nil {
			result.ParamErrorResult(r, w, err)
			return
		}
		if err := validator.Validate(req); err != nil {
			result.ParamValidateErrorResult(r, w, err)
			return
		}
		l := admin_product.NewAdminDeleteProductLogic(r.Context(), svcCtx)
		resp, err := l.AdminDeleteProduct(&req)
		result.HttpResult(r, w, resp, err)
	}
}
